/*
 *  Code extracted from the retinex_pde_lib in IPOL
 *  http://www.ipol.im/pub/algo/lmps_retinex_poisson_equation/
 *
 *  Some functions added by Gloria Haro on February-June 2011.
 *
 */

#ifndef _LIB_POISSON_FFT_H_
#define _LIB_POISSON_FFT_H_

#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <float.h>
#include <fftw3.h>

#include "../libraryStable/libraryBasic.h"


namespace libIIPStable {
	
    
    
    void solve_Poisson_fft(cflimage *output, cflimage *grad_x, cflimage *grad_y);
    
    
}


#endif // _LIBNFA_H_
