#ifndef _LIB_ASIFT_IPOL_H_
#define _LIB_ASIFT_IPOL_H_


#include <cstdio>
#include <cstdlib>
#include <string>
#include <iostream>
#include <cmath>
#include <math.h>
#include <cassert>
#include <cstdlib>
#include <vector>

#include <fstream>
#include <sstream>

#include "libsiftIPOL.h"




namespace libSiftIPOLCODE
{
    
    
    struct Match {
        float x1, y1, x2, y2;
    };
   
    
    bool loadMatch(const char* nameFile, std::vector<Match>& match);
    bool saveMatch(const char* nameFile, const std::vector<Match>& match);

    
    
    int compute_asift_keypoints(std::vector<float>& image, int width, int height, int num_of_tilts, int verb, std::vector< std::vector< keypointslist > >& keys_all, siftPar &siftparameters);
    
    
    int compute_asift_matches(int num_of_tilts1, int num_of_tilts2,  int verb, std::vector< std::vector< keypointslist > >& keys1, std::vector< std::vector< keypointslist > >& keys2, matchingslist &matchings, siftPar &siftparameters);
    
}

#endif
